Subject: 25.1; `help-make-xrefs' loads `cl-extra.el' now

From: Drew Adams <[email-masked]>
Date: Sun, 5 Feb 2017 10:44:29 -0800 (PST)

`help-make-xrefs' in `help-mode.el' calls `cl-some', which is defined in
`cl-extra.el' as an autoload.  Should we really be loading `cl-extra.el'
now, as soon as a user does, for example, `C-h f'?  In that case, what
is really "extra" about it (for interactive use of Emacs, at least)?

I thought that the point of creating `cl-lib.el' was to give people a
library of the most-used CL constructs and still let them avoid loading
all of `cl.el'.  If we are, in effect, loading `cl-extra.el' now nearly
by default then what's the point of separating out `cl-lib.el'?

Is this use of `cl-some' perhaps just due to laziness?  It's not hard to
get the same effect without using it and loading `cl-extra.el'.

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-11-15
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3''